<template>
	<view class="main-container">
		<page-header :fixedHeight="fixedHeight" :naviBarHeight="naviBarHeight"></page-header>
		<view class="rank-container">
			<view :class="isBigiPhone ? 'rank-upper-container-big' : 'rank-upper-container'">
				<view class="rank-logo"></view>
				<view class="rank-desc"></view>
			</view>
			<scroll-view :class="isBigiPhone ? 'rank-list-container-big' : 'rank-list-container'" scroll-y="true" show-scrollbar="false">
				<view class="rank-list-inner">
					<view class="rank-list-item" v-for="(item, index) in rankList" :key="index">
						<view class="rank-num-container">
							<view class="rank-num" v-if="index > 2">{{ index + 1 }}</view>
							<view class="rank-num-special" v-if="index < 3" :style="{backgroundImage: 'url(https://ikea-mrm.woaap.com/images/meatball/back-rank-' + (index + 1) + '.png)'}"></view>
						</view>
						<view class="rank-detail">
							<view class="rank-detail-img" :style="{backgroundImage: 'url(https://ikea-mrm.woaap.com/images/meatball/cook/rank/' + item.foodnumber + '.png)'}"></view>
							<view class="rank-detail-num">{{ item.foodnumber }}号作品-{{ handleMarket(item.market) }}</view>
							<view class="rank-detail-name">{{ item.foodname }}</view>
							<view class="rank-detail-heart"></view>
							<view class="rank-detail-like">{{ item.likes }}</view>
						</view>
					</view>
					<view class="rank-list-bottom"></view>
				</view>
			</scroll-view>
			<view class="handle-btn">
				<view class="handle-btn-area" @click="goBack"></view>
			</view>
		</view>
	</view>
</template>

<script>
import PageHeader from './pageHeader.vue';

export default {
	onLoad() {
		this.fixedWidth = wx.getSystemInfoSync().windowWidth;
	},
	data() {
		return {
			fixedHeight: getApp().globalData.fixedHeight,
			naviBarHeight: getApp().globalData.naviBarHeight,
			fixedWidth: null,
			rankList: []
		};
	},
	mounted() {
		getApp().td_app_sdk.event({
			id: '/meatball/rank',
			label: 'pv'
		});
		this.fetchRankList();
	},
	methods: {
		fetchRankList() {
			uni.request({
				header: {
					'content-type': 'application/x-www-form-urlencoded' //自定义请求头信息
				},
				method: 'POST',
				url: getApp().globalData.baseUrlCook + 'access.php?a=foodList',
				data: {
					type: 1
				},
				success: (res) => {
					console.log("fetchRankList res === ", res);
					uni.hideLoading()
					if (res.data.status === "1") {
						this.rankList = res.data.data.foodlist;
					}
				},
				fail: (err) => {
					console.log("fetchRankList err === ", err);
					uni.showToast({
						icon: 'none',
						title: '网络异常'
					});
				}
			})
		},
		goBack() {
			getApp().td_app_sdk.event({
				id: 'meatball_rank_返回广场',
				label: 'click'
			});
			uni.navigateBack();
		},
		handleMarket(text) {
			return text.replace('宜家', '');
		}
	},
	components: {
		PageHeader
	}
};
</script>

<style lang="scss" scoped>
.main-container {
	display: flex;
	justify-content: center;
	align-items: flex-start;
	flex-wrap: wrap;
	width: 100%;
	height: 100vh;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-rank-back.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: top center;
}
.rank-container {
	width: 100%;
	height: 100vh;
}
.rank-upper-container {
	width: calc(100vw - 52rpx);
	height: 183rpx;
	margin: 168rpx auto 47rpx auto;
}
.rank-upper-container-big {
	width: calc(100vw - 52rpx);
	height: 183rpx;
	margin: 216rpx auto 47rpx auto;
}
.rank-logo {
	width: 114rpx;
	height: 46rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-logo.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	margin-left: 9rpx;
	margin-bottom: 22rpx;
}
.rank-desc {
	width: 399rpx;
	height: 108rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/text-rank-title.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	margin: 0 auto;
}
.rank-list-container {
	width: 100%;
	height: calc(100vh - 183rpx - 168rpx - 47rpx);
	overflow-y: auto;
}
.rank-list-container-big {
	width: 100%;
	height: calc(100vh - 183rpx - 216rpx - 47rpx);
	overflow-y: auto;
}
.rank-list-inner {
	width: calc(100% - 30rpx - 45rpx);
	height: 100%;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;
	margin: 0 45rpx 0 30rpx;
	background-color: transparent;
}
.rank-list-item {
	width: 100%;
	height: 128rpx;
	display: flex;
	flex-wrap: wrap;
	margin-bottom: 25rpx;
}
.rank-list-bottom {
	width: 100%;
	height: 208rpx;
}
.rank-num-container {
	width: 49rpx;
	height: 128rpx;
	margin-right: 21rpx;
}
.rank-num {
	width: 49rpx;
	height: 24rpx;
	line-height: 24rpx;
	font-size: 24rpx;
	font-weight: bold;
	color: #fff;
	text-align: center;
	margin-top: 58rpx;
}
.rank-num-special {
	width: 49rpx;
	height: 69rpx;
	margin-top: 39rpx;
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.rank-detail {
	width: calc(100% - 49rpx - 21rpx - 4rpx);
	height: 124rpx;
	border: 1px solid #7d7d7d;
	border-radius: 10rpx;
	position: relative;
}
.rank-detail-img {
	width: 208rpx;
	height: 128rpx;
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	border-top-left-radius: 10rpx;
	border-bottom-left-radius: 10rpx;
}
.rank-detail-num {
	position: absolute;
	left: 221rpx;
	top: 33rpx;
	width: 210rpx;
	height: 20rpx;
	line-height: 20rpx;
	font-size: 20rpx;
	color: #b5b5b5;
}
.rank-detail-name {
	position: absolute;
	left: 221rpx;
	top: 67rpx;
	width: 210rpx;
	height: 26rpx;
	line-height: 26rpx;
	font-size: 26rpx;
	font-weight: bold;
	color: #fff;
}
.rank-detail-heart {
	position: absolute;
	left: 450rpx;
	top: 51rpx;
	width: 35rpx;
	height: 32rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/back-like.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
}
.rank-detail-like {
	position: absolute;
	left: 502rpx;
	top: 56rpx;
	width: 96rpx;
	height: 24rpx;
	line-height: 24rpx;
	font-size: 24rpx;
	color: #ce2424;
}
.handle-btn {
	position: absolute;
	bottom: -12rpx;
	left: calc((100% - 716rpx) / 2);
	width: 715rpx;
	height: 265rpx;
	background-image: url('https://ikea-mrm.woaap.com/images/meatball/btn-rank-go.png');
	background-size: 100%;
	background-repeat: no-repeat;
	background-position: center;
	display: flex;
	justify-content: center;
	align-items: center;
}
.handle-btn-area {
	width: 560rpx;
	height: 102rpx;
}
</style>
